import es, cfglib, services, playerlib, os

config = cfglib.AddonCFG(es.getAddonPath("adminskins") + "/adminskins.cfg")
config.text("**************************")
config.text("   Downloads and Models   ")
config.text("**************************")
ct_folder   = str(config.cvar("ct_folder",   'models/player/ics/admin_t_fixed/', "Ct model path used for downloads"))
t_folder   = str(config.cvar("t_folder",   'models/player/ics/admin_ct_fixed/', "T's Model path used for downloads"))
ct_model   = str(config.cvar("ct_model",   'models/player/ics/admin_ct_fixed/urban.mdl', "CT model"))
t_model   = str(config.cvar("t_model",   'models/player/ics/admin_t_fixed/terror.mdl', "T Model"))

config.write()

model_folder1 =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + ct_folder
model_folder2 =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + t_folder
material_folder1 =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + 'materials/' + ct_folder
material_folder2 =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + 'materials/' + t_folder

info = es.AddonInfo()
info.name     = "Admin Skins"
info.version  = "2.0"
info.url      = "None"
info.basename = "sic_adminskins"
info.author   = "sicman_adrian"
es.ServerVar('sic_adminskins', info.version, 'Admin Skins').makepublic()


def load():
    config.execute()
    downloads()
    setup_auth()

def es_map_start(ev):
    downloads()

def downloads():
    for dlfile in os.listdir(model_folder1):
        es.stringtable('downloadables', model_folder1 + dlfile)
    for dlfile in os.listdir(model_folder2):
        es.stringtable('downloadables', model_folder2 + dlfile)
    for dlfile in os.listdir(material_folder1):
        es.stringtable('downloadables', material_folder1 + dlfile)
    for dlfile in os.listdir(material_folder2):
        es.stringtable('downloadables', material_folder2 + dlfile)

def player_spawn(ev):
    player = playerlib.getPlayer(ev['userid'])
    if ev['userteam'] == 2:
        if isAuthed(userid):
            player.set('model', t_model)
    elif ev['userteam'] == 2:
          if isAuthed(userid):
              player.set('model', ct_model)

def setup_auth():
    global isAuthed
    if services.isRegistered('auth'):
        auth_service = services.use('auth')
        auth_service.registerCapability('adminskins_admin', auth_service.ADMIN)
        isAuthed = lambda x: auth_service.isUseridAuthorized(x, 'adminskins_admin')
    else:
        isAuthed = lambda x: False